#include "common.h"

#include <teamspeak/public_errors.h>

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

bool check_error_ok(unsigned int error, const char *file, unsigned int line, bool do_exit)
{
    if (error != ERROR_ok)
    {
        printf("Error (%d) occurred on line %d in %s\n", error, line, file);
        if (do_exit)
            exit(1);

        return false;
    }
    return true;
}
